{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/url-generator/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/url-generator/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/url-generator/url-generator.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Url Generator</h2>
        <p>Генерация urls сайта</p>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Генерация urls</p>
        </div>
        <div class="block-content">
            <div class="block-url-types">
                <div class="generator-status">
                    <p>Generator status: <span class="running">RUNNING</span></p>
                </div>
                <h6>Выбирите Url Types для генерации страниц:</h6>
                <div class="block-url-types">
                    <div class="list-url-types">
                        <div class="row">
                            {% for urlType in urlTypes %}
                                <div class="col-md-2">
                                    <input type="checkbox" id="url-type-{{ urlType.id }}" name="url-type-item" data-url-type="{{ urlType.urlType }}"/>
                                    <label for="url-type-{{ urlType.id }}"> {{ urlType.displayName }}</label>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="select-all">
                        <input type="checkbox" id="url-type-all"/>
                        <label for="url-type-all">Выбрать все</label>
                    </div>
                </div>
            </div>
        </div>
        <div class="block-footer">
            <a href="" class="btn-action btn-run btn-run-generator"><i class="fas fa-sync-alt"></i> GENERATE</a>
        </div>
    </div>
{% endblock %}